/*
   Copyright (C) 1988, 1989, 1990 The GAP Development Company

   All Rights Reserved
   
   This source code is considered to be confidential information proprietary
   to The GAP Development Company.  It is prohibited and punishable by law
   to use or duplicate any part of this information without express
   written consent from GAP Development Company.

   This source code is being provided for informational purposes only.


   UTIVER.C

   UTI module that obtains the version number of these drivers.


   To compile : cl /FPa utiver.c         (will compile and link)

*/

#define LINT_ARGS

#define UTI_VER "2\n"
#define VERSION "GAP UTI Driver - GAP Development Company - Version 2.0  (01/01/90)\n"

#pragma check_stack(off)
#pragma pack(1)

#include <stdio.h>
#include <stdlib.h>


void main(argc,argv)
int argc;
char *argv[];
{
   FILE *fp;

   if ( (fp = fopen(argv[1],"w+t")) == NULL)
      exit (-1);

   fputs(UTI_VER,fp);
   fputs(VERSION,fp);
   fclose(fp);

   exit (0);
}
